<?xml version='1.0'?>
<xsl:stylesheet
       xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
       version="1.0">

<xsl:template match="Song">
    <html>
    <head>
    <title><xsl:value-of select="title"/></title>
    </head>

    <body>
    <xsl:apply-templates select="title"/>
    <xsl:apply-templates select="verse"/>
    <xsl:apply-templates select="author"/>
    <xsl:apply-templates select="date"/>
    </body>
    </html>
</xsl:template>

<xsl:template match="title">
    <div align="center"><h1><xsl:value-of select="."/></h1></div>
</xsl:template>

<xsl:template match="author">
    <div align="left"><h2><xsl:value-of select="."/></h2></div>
</xsl:template>

<xsl:template match="date">
    <div align="left"><h2><xsl:value-of select="."/></h2></div>
</xsl:template>

<xsl:template match="verse">
    <p><xsl:apply-templates select="line"/></p>
</xsl:template>

<xsl:template match="line">
    <xsl:value-of select="."/>
    <br />
</xsl:template>

</xsl:stylesheet>
