 import java.net.*;
 import java.io.*;

 public class TServer extends Thread {
   private static final int PORTNUMBER = 8013;
   private ServerSocket fServerSocket;

   public TServer() {
     super("TServer");
     try {
       fServerSocket = new ServerSocket(PORTNUMBER);
       System.out.println("TServer up and running...");
     } catch (IOException e) {
       System.err.println("Exception: couldn't make server socket.");
       System.exit(1);
     }
   }
 
   public void run() {
     Socket theClientSocket;

     while (true) {

       // wait for a client to connect
       if (fServerSocket == null)
         return;
       try {
         theClientSocket = fServerSocket.accept();

         // accept the client connection
 
         // send a message to the client
         PrintWriter theWriter = new PrintWriter(new
           OutputStreamWriter(theClientSocket.getOutputStream()));
         theWriter.println(new java.util.Date().toString());

         // force the writer to write
         theWriter.flush();

         // tear down the connection
         theWriter.close();
         theClientSocket.close();
       } catch (IOException e) {
         System.err.println("Exception: " + e.getMessage());
         System.exit(1);
       }
     }
   }

   public static void main(String[] args) {
     TServer theServer = new TServer();
     theServer.start();
   }
 }
