import java.io.PrintWriter;
import java.io.IOException;
import java.util.Enumeration;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ProcessingServlet extends HttpServlet {
    public void init(ServletConfig theConfiguration) 
      throws ServletException {
      super.init(theConfiguration);
    }

    public void doGet(HttpServletRequest theRequest,
                      HttpServletResponse theResponse)
      throws IOException, ServletException {
        doPost(theRequest, theResponse);
    }

    public void doPost(HttpServletRequest theRequest,
                      HttpServletResponse theResponse)
      throws IOException, ServletException {

	theResponse.setContentType("text/html");
	PrintWriter aWriter = theResponse.getWriter();

	aWriter.println("<HTML>");
	aWriter.println("<HEAD>");
	aWriter.println("<TITLE>Registration Confirmation</TITLE>");
	aWriter.println("</HEAD>");
	aWriter.println("<BODY>");
	aWriter.println("<H1>Registration Confirmation</H1>");
	aWriter.println("<P>Here is the information you provided:</P>");
	aWriter.println("<TABLE>");
      Enumeration theParameters = theRequest.getParameterNames();
      String theParameter = null;
      while (theParameters.hasMoreElements()) {
        theParameter = (String)theParameters.nextElement();
        aWriter.println("<TR><TD>" + theParameter + "</TD><TD>" + 
          theRequest.getParameter(theParameter) + "</TD></TR>");
      } 
      aWriter.println("</TABLE>");
	aWriter.println("</BODY>");
	aWriter.println("</HTML>");
	aWriter.close();
    }
    public String getServletInfo() {
      return "ProcessingServlet, by Mike Morgan";
  }
}
