<?xml version='1.0'?>
<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">

<xsl:template match="W3CRecs">
    <html>
    <head>
    <title><xsl:value-of select="//title"/></title>
    </head>

    <body>
    <br />
    <b><xsl:value-of select="//title"/></b>
    <br /><br />
    <table border="1" cellpadding="4">
    <tr>
    <th>Title</th>
    <th>Date</th>
    <th>Abbreviation</th>
    </tr>
    <xsl:for-each select="//W3CRec">
      <tr>
      <td><xsl:value-of select="title"/></td>
      <td><xsl:value-of select="date"/></td>
      <td><xsl:value-of select="abbreviation"/></td>
      </tr>
    </xsl:for-each>
    </table>
    </body>
    </html>
</xsl:template>

</xsl:stylesheet>
