import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class HelloApplication extends Applet {
  public static void main(String[] args) {
    HelloApplicationFrame theApplication =
      new HelloApplicationFrame("Hello Application");
    theApplication.setSize(200,200);
    theApplication.show();
  }

  public void paint(Graphics theGraphics) {
    theGraphics.drawString("Hello, World!", 0, 50);
  }
}

class HelloApplicationFrame extends Frame {
  private HelloApplication fApplet;

  public HelloApplicationFrame(String name) {
    super(name);
    addWindowListener(new HelloWindowAdapter());
    fApplet = new HelloApplication();
    fApplet.init();
    fApplet.start();
    add(fApplet);
  }
  class HelloWindowAdapter extends WindowAdapter {
    public void windowClosing(WindowEvent e) {
      fApplet.stop();
      fApplet.destroy();
      System.exit(0);
    }
  }
}
